Subject: Re: bug#5721: Feature request: Function that returns absolute coordinates

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Thu, 15 Jul 2010 17:44:28 +0900

>>>>> On Thu, 15 Jul 2010 10:35:47 +0200, Jan Djärv <[email-masked]> said:

>> Even with absolute unscaled, they DIDN'T need any changes in the
>> platform independent part.

> That would require unscaled everywhere, even in pos-x-y, window
> sizes, font sizes and so on.  I didin't think that was your
> suggestion.

No, they are all frame-relative, so scaled by the scaling factor.

The only places currently I can think of in the "absolute" category
are the frame parameters `left' and `top', and some screen parameters
such as `display-pixel-height', etc.  Most of the values in Lisp are
designed as frame-relative.

>> Again, if we used absolute scaled coordinates to specify `left' and
>> `top' frame parameters, we could only place the frame to the
>> position whose coordinates are multiples of the scale factor.

> As I said earlier, special functions to deal with that for those that care.

I don't understand.  What happens if a user moved the frame to (101,
101) using the mouse under the scale factor 2, and he checked
(frame-parameter nil 'left)?

				     YAMAMOTO Mitsuharu
				[email-masked]